Struct is a special kind of parameter that used in smart contract.

### Hierarchy

- Struct

## Index

### Constructors

- constructor

### Properties

- list

### Methods

- add

## Constructors

### constructor

- new Struct(): Struct

- - Defined in smartcontract/abi/struct.ts:23

  #### Returns Struct

## Properties

### list

list: any[]

- Defined in smartcontract/abi/struct.ts:23

## Methods

### add

- add(...args: any[]): void

- - Defined in smartcontract/abi/struct.ts:33

  Add arguments to struct.

  #### Parameters

  - ##### Rest ...args: any[]

    Array of some kinds of value. Boolean, number, string, Address and Struct are supported.

  #### Returns void

Generated using TypeDoc